/// <reference types="node" />
import { Amount, MetaplexFile, MetaplexPlugin, StorageDriver } from './sdk-types';
export declare const ammanMockStorage: (storageId?: string | undefined, costPerByte?: number | undefined) => MetaplexPlugin;
export declare function ammanMockStorageDriver(storageId?: string, costPerByte?: number): AmmanMockStorageDriver;
declare class AmmanMockStorageDriver implements StorageDriver {
    readonly storageId: string;
    readonly costPerByte: number;
    private cache;
    readonly baseResourceUrl: string;
    readonly baseUploadUrl: string;
    constructor(storageId?: string, costPerByte?: number);
    getUploadPrice: (bytes: number) => Promise<Amount>;
    upload: (file: MetaplexFile) => Promise<string>;
    uploadAll: (files: MetaplexFile[]) => Promise<string[]>;
    download: (uri: string, options?: RequestInit) => Promise<MetaplexFile>;
    static readonly getStorageUri: (storageId: string) => string;
    static readonly getUploadToStorageUri: (storageId: string) => string;
}
export declare function uploadBuffer(url: string, buf: Buffer): Promise<Response | undefined>;
export {};
